X2Go Bug report logs - #716
python-x2gobroker web/plain module strips passwords breaking passwords that start or end with a space

version graph

Package: python-x2gobroker; Maintainer for python-x2gobroker is (unknown); Source for python-x2gobroker is src:x2gobroker.

Reported by: Jason Alavaliant <alavaliant@ra09.com>

Date: Mon, 5 Jan 2015 05:10:02 UTC

Severity: normal

Tags: patch, pending

Found in version 0.0.2.3

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #14 received at control@bugs.x2go.org (full text, mbox, reply):

Received: (at control) by bugs.x2go.org; 5 Jan 2015 10:04:58 +0000
From x2go@ymir.das-netzwerkteam.de  Mon Jan  5 11:04:42 2015
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id EA3C05DB53; Mon,  5 Jan 2015 11:04:41 +0100 (CET)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 716-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 716@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20150105100441.EA3C05DB53@ymir.das-netzwerkteam.de>
Date: Mon,  5 Jan 2015 11:04:41 +0100 (CET)
tag #716 pending
fixed #716 0.0.3.0
thanks

Hello,

X2Go issue #716 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=bc47e33

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit bc47e33351c852d720d4e532f5c0aa431d834396
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Jan 5 11:04:36 2015 +0100

    Don't strip off spaces from password strings. (Fixes: #716).

diff --git a/debian/changelog b/debian/changelog
index e054d03..b6fab83 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -300,6 +300,7 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
   * New upstream version (0.0.3.0):
     - Handle spaces in broker login passwords when authservice is used. (Fixes:
       #706).
+    - Don't strip off spaces from password strings. (Fixes: #716).
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 07 Jun 2013 23:25:30 +0200
 


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 7 16:08:53 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.